'From Squeak3.5 of ''11 April 2003'' [latest update: #5180] on 12 May 2003 at 4:30:58 pm'!
"Change Set:		KCP-0073-fixTeardownAnalyzerTest
Date:			12 May 2003
Author:			Roel Wuyts and Alexandre Bergel

A teardown was missing from the AnalyzerTest, resulting in temporary classes that were created during the tests to remain in the current changeset. Now they are cleaned up as part of the teardown process."!


!AnalyzerTest methodsFor: 'utility' stamp: 'rw 5/12/2003 11:56'!
removeClassNamedIfExists: aClassname

	Smalltalk at: aClassname ifPresent: [:cls| cls removeFromSystem].
	Smalltalk at: aClassname ifPresent: [:clss| self error: 'Error !!!!']! !

!AnalyzerTest methodsFor: 'running' stamp: 'rw 5/12/2003 11:51'!
tearDown

	| name |
	classesCreated
		do: [:cls | 
			name _ cls name.
			self removeClassNamedIfExists: name.
			Smalltalk changes removeClassChanges: name].
	classesCreated _ nil! !

