'From Squeak3.5 of ''11 April 2003'' [latest update: #5180] on 12 May 2003 at 4:30:48 pm'!
"Change Set:		KCP-fixCleanKernelTest
Date:			12 May 2003
Author:			Roel Wuyts

Fixed an auxiliary method in CleanKernelTest that checks whether a method is deprecated. The check was done by seeing whether the method's literals include #deprecated:, but needed to be fixed to check for #deprecated:explanation: instead."!


!CleanKernelTest methodsFor: 'utility' stamp: 'rw 5/12/2003 11:42'!
newIsSelector: aSymbol deprecatedInClass: aClassSymbol 
	"to test the new way of deprecating method: self deprecated: [old expression]"

	| cls |
	cls _ Smalltalk
				at: aClassSymbol
				ifAbsent: [^ false].
	^ (cls >> aSymbol) literals includesAllOf: #(deprecated:explanation:)! !

