StringHolder new contents: (Text string: '                                               Hypertext in Squeak

Note: This is a rough draft and may contain errors or have omissions. Please let me know if you find problems.


Squeak allows text to be marked up in a variety of ways in addition to colors. Press Alt-6 (Cmd-6 on a Mac) to get a menu.

	Doit		Mark the text so that it is executed when used as a button.
				Select the text, then Alt-6, then choose Doit.
				Example: Transcript cr; show: ''Example''

				The expression can be hidden. First type:
				Example: Text<Transcript cr; show: ''Example2''> on the Transcript

				Then select "Text<Transcript cr; show: ''Example2''>" and select Doit:
				Example: Text on the Transcript

				Note that the syntax:
					text<expression>
				is special and will occur in other menu items.

	Print it		This is identical to Doit except that the result of the expression is printed.

				Example: Then (2+2) is<(2+2)>

				Highlight ''(2+2) is<(2+2)>'' then select Print it from the menu
				Example: Then (2+2) is

	Link to comment of class
	Link to definition of class
	Link to hierarchy of class
				Select a class name, then Alt-6 and select ''Link to --- of class''

				Example:  View the class comment of Object
				Example:  View the definition of Object
				Example:  View the hierarchy of Integer

	Link to method
				Link to method uses the special syntax described under Doit above.

				Example:	View the method definition of a method<Array size>
				Final text:	View the method definition of a method

				Example:	View the method definition of a method<Interval at:put:>
				Final text:	View the method definition of a method
				
	Be a web URL link
				Link to a web site. The URL can be in open text; simply select it
				then Alt-6, then select ''be a web URL link''. Alternatively, the
				special syntax described above may be used.

				Example:	Link to http://dnsmith.com 
				Final text:	Link to http://dnsmith.com 

				Example:	Link to my site<http://dnsmith.com>  
				Final text:	Link to my site

	Edit hidden info
				Converts text to its original form so that the hidden text is visible.

	Copy hidden info
				Copies the hidden info to the cut/paste buffer.


For Squeak 3.4, 3.5, 3.6
David N Smith
dnsmith@watson.ibm.com
24 July 2003'
runs:  (RunArray runs: #(436 30 204 4 331 8 196 6 38 6 37 7 202 6 120 6 277 18 81 4 242 ) values: ((Array new: 21) at: 1 put: ((Array new: 1) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 1; yourself); yourself); at: 2 put: ((Array new: 2) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 1; yourself); at: 2 put: (TextDoIt basicNew instVarAt: 1 put: 'Transcript cr; show: ''Example'''; yourself); yourself); at: 3 put: ((Array new: 1) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 1; yourself); yourself); at: 4 put: ((Array new: 2) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 1; yourself); at: 2 put: (TextDoIt basicNew instVarAt: 1 put: 'Transcript cr; show: ''Example2'''; yourself); yourself); at: 5 put: ((Array new: 1) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 1; yourself); yourself); at: 6 put: ((Array new: 2) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 1; yourself); at: 2 put: (TextPrintIt basicNew instVarAt: 1 put: '(2+2)'; yourself); yourself); at: 7 put: ((Array new: 1) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 1; yourself); yourself); at: 8 put: ((Array new: 2) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 1; yourself); at: 2 put: (TextLink basicNew instVarAt: 1 put: 'Object Comment'; yourself); yourself); at: 9 put: ((Array new: 1) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 1; yourself); yourself); at: 10 put: ((Array new: 2) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 1; yourself); at: 2 put: (TextLink basicNew instVarAt: 1 put: 'Object Definition'; yourself); yourself); at: 11 put: ((Array new: 1) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 1; yourself); yourself); at: 12 put: ((Array new: 2) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 1; yourself); at: 2 put: (TextLink basicNew instVarAt: 1 put: 'Integer Hierarchy'; yourself); yourself); at: 13 put: ((Array new: 1) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 1; yourself); yourself); at: 14 put: ((Array new: 2) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 1; yourself); at: 2 put: (TextLink basicNew instVarAt: 1 put: 'Array size'; yourself); yourself); at: 15 put: ((Array new: 1) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 1; yourself); yourself); at: 16 put: ((Array new: 2) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 1; yourself); at: 2 put: (TextLink basicNew instVarAt: 1 put: 'Interval at:put:'; yourself); yourself); at: 17 put: ((Array new: 1) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 1; yourself); yourself); at: 18 put: ((Array new: 2) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 1; yourself); at: 2 put: (TextURL basicNew instVarAt: 1 put: 'http://dnsmith.com'; yourself); yourself); at: 19 put: ((Array new: 1) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 1; yourself); yourself); at: 20 put: ((Array new: 2) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 1; yourself); at: 2 put: (TextURL basicNew instVarAt: 1 put: 'http://dnsmith.com'; yourself); yourself); at: 21 put: ((Array new: 1) at: 1 put: (TextFontChange basicNew instVarAt: 1 put: 1; yourself); yourself); yourself))
);
		openLabel:'Text'