'From Squeak3.6beta of ''4 July 2003'' [latest update: #5373] on 31 July 2003 at 3:40:58 pm'!

!EmailFileRepository methodsFor: 'files' stamp: 'KLC 7/31/2003 15:40'!
saveAttachmentsFor: anArchivePost 
	| attachments attachmentDir savedFiles |
	attachments _ anArchivePost attachments.
	attachments isEmptyOrNil
		ifTrue: [^ nil].
	(attachments notEmpty
			and: [attachments first isString])
		ifTrue: [^ attachments].
	"Attachments exist and have not yet been parsed and saved to filesystem."
	attachmentDir _ anArchivePost attachmentsDirectory.
	attachmentDir assureExistence.
	savedFiles _ OrderedCollection new.
	attachments
		do: [:part | 
			| stream streamSize file fileSize sizeDiff | 
			(part isKindOf: MailMessage)
				ifTrue: [stream _ RWBinaryOrTextStream with: part body content.
					file _ attachmentDir fileNamed: (attachmentDir localNameFor: part name)]
				ifFalse: [stream _ RWBinaryOrTextStream with: part content.
					file _ attachmentDir fileNamed: anArchivePost postUrl path last].
			streamSize _ stream contents size.
			fileSize _ file contents size.
			"Don't unnecessarily append to an existing file"
			sizeDiff _ streamSize - fileSize.
			sizeDiff >= 0
				ifTrue: [file
						nextPutAll: (stream contents copyFrom: streamSize - sizeDiff + 1 to: streamSize)].
			stream close.
			file close.
			savedFiles add: file name].
	^ savedFiles! !

