'From Squeak3.9gamma of ''23 July 2006'' [latest update: #7066] on 1 November 2006 at 11:55:17 pm'!

!Color methodsFor: 'html' stamp: 'hmm 11/1/2006 23:28'!
printHtmlString
	"answer a string whose characters are the html representation  
	of the receiver"
	^ ((self red * 255) asInteger printStringBase: 16 length: 2 padded: true)
	, ((self green * 255) asInteger printStringBase: 16 length: 2 padded: true)
	, ((self blue * 255) asInteger printStringBase: 16 length: 2 padded: true)! !


!Complex methodsFor: 'comparing' stamp: 'hmm 11/1/2006 23:29'!
= anObject
	anObject isNumber ifFalse: [^false].
	anObject isComplex
		ifTrue: [^ (real = anObject real) & (imaginary = anObject imaginary)]
		ifFalse: [^ anObject adaptToComplex: self andSend: #=]! !

!Complex methodsFor: 'testing' stamp: 'hmm 11/1/2006 23:34'!
isNumber
	^ true! !


!MVCToolBuilderTests methodsFor: 'tests-not applicable' stamp: 'hmm 11/1/2006 23:22'!
testAddAction
	"MVCToolBuilder does not implement #buildPluggableMenu:"! !

!MVCToolBuilderTests methodsFor: 'tests-not applicable' stamp: 'hmm 11/1/2006 23:22'!
testAddTargetSelectorArgumentList
	"MVCToolBuilder does not implement #buildPluggableMenu:"! !

!MVCToolBuilderTests methodsFor: 'tests-not applicable' stamp: 'hmm 11/1/2006 23:23'!
testButtonFiresBlock
	"MVC buttons only support action Symbols"! !

!MVCToolBuilderTests methodsFor: 'tests-not applicable' stamp: 'hmm 11/1/2006 23:23'!
testButtonFiresMessage
	"MVC buttons only support action Symbols, not MessageSends"! !

!MVCToolBuilderTests methodsFor: 'tests-not applicable' stamp: 'hmm 11/1/2006 23:17'!
testButtonInitiallyDisabled
	"MVC does not have button enablement"! !

!MVCToolBuilderTests methodsFor: 'tests-not applicable' stamp: 'hmm 11/1/2006 23:17'!
testButtonInitiallyDisabledSelector
	"MVC does not have button enablement"! !

!MVCToolBuilderTests methodsFor: 'tests-not applicable' stamp: 'hmm 11/1/2006 23:17'!
testGetButtonColor
	"MVC buttons do not have color"! !

!MVCToolBuilderTests methodsFor: 'tests-not applicable' stamp: 'hmm 11/1/2006 23:17'!
testGetButtonEnabled
	"MVC does not have button enablement"! !

!MVCToolBuilderTests methodsFor: 'tests-not applicable' stamp: 'hmm 11/1/2006 23:18'!
testGetButtonSideEffectFree
	"MVC button ask for their state on any change notification"! !

!MVCToolBuilderTests methodsFor: 'tests-not applicable' stamp: 'hmm 11/1/2006 23:19'!
testGetInputFieldColor
	"MVC input fields do not have color"! !

!MVCToolBuilderTests methodsFor: 'tests-not applicable' stamp: 'hmm 11/1/2006 23:20'!
testGetPanelChildren
	"MVC panels do not allow changing children"! !

!MVCToolBuilderTests methodsFor: 'tests-not applicable' stamp: 'hmm 11/1/2006 23:21'!
testGetTextColor
	"not supported in MVC"! !

!MVCToolBuilderTests methodsFor: 'tests-not applicable' stamp: 'hmm 11/1/2006 23:21'!
testGetWindowChildren
	"not supported in MVC"! !

!MVCToolBuilderTests methodsFor: 'tests-not applicable' stamp: 'hmm 11/1/2006 23:21'!
testGetWindowLabel
	"not supported in MVC"! !

!MVCToolBuilderTests methodsFor: 'tests-not applicable' stamp: 'hmm 11/1/2006 23:24'!
testTreeExpandPath
	"MVCToollBuilder does not implement trees"! !

!MVCToolBuilderTests methodsFor: 'tests-not applicable' stamp: 'hmm 11/1/2006 23:24'!
testTreeExpandPathFirst
	"MVCToollBuilder does not implement trees"! !

!MVCToolBuilderTests methodsFor: 'tests-not applicable' stamp: 'hmm 11/1/2006 23:24'!
testTreeGetSelectionPath
	"MVCToollBuilder does not implement trees"! !

!MVCToolBuilderTests methodsFor: 'tests-not applicable' stamp: 'hmm 11/1/2006 23:24'!
testTreeRoots
	"MVCToollBuilder does not implement trees"! !

!MVCToolBuilderTests methodsFor: 'tests-not applicable' stamp: 'hmm 11/1/2006 23:24'!
testTreeWidgetID
	"MVCToollBuilder does not implement trees"! !

!MVCToolBuilderTests methodsFor: 'tests-not applicable' stamp: 'hmm 11/1/2006 23:25'!
testWindowCloseAction
	"This can only work if we're actually run in MVC"
	World isNil ifTrue: [super testWindowCloseAction]! !


!MVCToolBuilderTests reorganize!
('support' acceptWidgetText changeListWidget fireButtonWidget setUp)
('tests-not applicable' testAddAction testAddTargetSelectorArgumentList testButtonFiresBlock testButtonFiresMessage testButtonInitiallyDisabled testButtonInitiallyDisabledSelector testGetButtonColor testGetButtonEnabled testGetButtonSideEffectFree testGetInputFieldColor testGetPanelChildren testGetTextColor testGetWindowChildren testGetWindowLabel testTreeExpandPath testTreeExpandPathFirst testTreeGetSelectionPath testTreeRoots testTreeWidgetID testWindowCloseAction)
!

