'From Squeak3.3alpha of 30 January 2002 [latest update: #4954] on 16 August 2002 at 12:13 pm'!
Object subclass: #FontMover
	instanceVariableNames: 'liste index listemorph taille affiche diraffiche fenetre knownfont directorypolice dirlistmorph dirlist dirindex plusdir plusimage toutplusdir toutplusimage xbutton imageaffiche '
	classVariableNames: ''
	module: #(Squeak CollectZ)!
!FontMover commentStamp: 'JMZ 8/16/2002 12:12' prior: 0!
Font Mover
for Squeak 3.3 alpha

call with "FontMover open"
Font 'NewYork' is used by default. Did'nt delete NewYork fonts from your image.
I am a window with two panels; on the left the different fonts used in the image and in the right panel, the fonts available in a directory "Police" used by default (in the directory Squeak). A directory "Police" is created by default.

I can remove a font from the image (X), move a font from image into files in the directory "Police" (->) or all fonts (-->). Symetrically, I move a font (<-) or all fonts (<--) from a directory to the image.
Others functions (as selection of a directory containing some fonts (sf2 format) or creation of a new directory) are obtained by menu in each list.

Something like a reminiscence of FontMover in old Mac.


a bug: name of directory should not contain an accent (?? a problem with the american origin of Squeak)

Jean-Marie.Zajac@laposte.net
12:12:31  16 August 2002

25 July 2002 problme  rsolu plus d'appel  "StrikeFont readFromStrike2: fileName directory: aDirectory "!
]style[(997 11 17 8 12 10 2)f3,f2,bf2,cblue;bf2,bf2,cblue;bf2,f2!


!FontMover methodsFor: 'as yet unclassified' stamp: 'JMZ 4/15/2002 11:23'!
affichelapolice
	"affiche la police index"
	| zz f1 |
	zz _ TextConstants at: (liste at: index) asSymbol.
	f1 _ zz fontAt: 1.
	f1 fontDisplay! !

!FontMover methodsFor: 'as yet unclassified' stamp: 'JMZ 4/15/2002 10:58'!
affichelapolice: no 
	"affiche la police de numro no"
	| zz f1 |
	zz _ TextConstants at: (liste at: index) asSymbol.
	f1 _ zz fontAt: no.
	f1 fontDisplay! !

!FontMover methodsFor: 'as yet unclassified' stamp: '<JMZ 4/18/2002 22:15'!
createdir
| prov |

prov _FillInTheBlankMorph request: 'Name of the new directory?'.
prov='' ifTrue:[ ^ false].

"test exists "
FileDirectory setDefaultDirectoryFrom: Smalltalk imageName.
	(FileDirectory default directoryExists: prov)
		ifTrue: [directorypolice_ prov. self updatedir. ^ true]
		ifFalse: [(PopUpMenu confirm: 'Sure to create ? ', prov)  ifFalse: [^ false] ifTrue:[ directorypolice_ prov.  self  newdirectorypolice. self updatedirliste. self updatedir.]. 
^false ].




! !

!FontMover methodsFor: 'as yet unclassified' stamp: '<JMZ 4/22/2002 13:45'!
deletedirectorypolice
	
	| fichier |
	FileDirectory setDefaultDirectoryFrom: Smalltalk imageName.
	(FileDirectory default directoryExists: directorypolice)
		ifTrue: [ fichier _ (FileDirectory default directoryNamed:  directorypolice) fullNamesOfAllFilesInSubtree.
	1 to: fichier size do: [:i |  (FileDirectory default isAFileNamed: (fichier at: i))
				ifTrue: [FileDirectory default deleteFileNamed: (fichier at: i)]].
			FileDirectory default deleteDirectory: directorypolice.
			self display: 'Directory deleted ']
		ifFalse: [self display: 'No directory ' , directorypolice , ' ...  '].

knownfont_OrderedCollection new.
directorypolice_'Police'.	
self newdirectorypolice.
self updateknownfontliste.
self updatedirliste.
self updatedir.

dirindex _ 1.
! !

!FontMover methodsFor: 'as yet unclassified' stamp: '<JMZ 4/23/2002 13:34'!
dirmenu: unmenu 
	" "
	| differentMenu  |
	
	differentMenu _ DumberMenuMorph new.
	differentMenu addTitle: 'Directory' .
differentMenu add: 'Delete directory ', directorypolice asString
		target: self
		selector: #deletedirectorypolice;

add: 'Create new drectory'
		target: self
		selector: #createdir;

	
		add: '-------'
		target: nil
		selector: nil.
1 to: dirlist size
		do: [:i | differentMenu
				add: (dirlist at: i) asString
				target: self
				selector: #selectdirectory2:
argument: (dirlist at: i) asString ].

	
	^ differentMenu! !

!FontMover methodsFor: 'as yet unclassified' stamp: '<JMZ 4/16/2002 23:28'!
dirsel: ainteger



	self changed: #dirsel.		"signal my acceptance of the change"! !

!FontMover methodsFor: 'as yet unclassified' stamp: 'JMZ 5/13/2002 14:10'!
display: chaine 
	
| point|
	
point_Sensor cursorPoint.
point setX: point x +20 setY:  point y -15.
(MVCMenuMorph from: (SelectionMenu labels: '') title: chaine) displayAt:point  during:  [(Delay forSeconds: 0.5) wait].
			^ self

	! !

!FontMover methodsFor: 'as yet unclassified' stamp: '<JMZ 4/16/2002 13:47'!
displayallpolice
	"display all police in the directory Police"
	|  |
	
	FileDirectory setDefaultDirectoryFrom: Smalltalk imageName.
	FileDirectory default directoryNamed: directorypolice.
	! !

!FontMover methodsFor: 'as yet unclassified' stamp: '<JMZ 4/22/2002 13:45'!
initialize

knownfont_OrderedCollection new.
directorypolice_'Police'.	
self newdirectorypolice.
self updateknownfontliste.
self updatedirliste.

	liste _ (Utilities knownTextStyles) asSortedCollection: [:a :b | a<b].
			
	index _ 1.
dirindex _ 1.

! !

!FontMover methodsFor: 'as yet unclassified' stamp: '<JMZ 4/16/2002 10:04'!
isknownfont: aname
	""
	|  flag  | 
flag_false.
1 to: knownfont size do:[:each |  aname  = (knownfont at: each) ifTrue: [flag_true. ^ true. ] ifFalse: [ flag_false.].].

flag ifFalse: [knownfont add:  aname.]. 
	^aname ! !

!FontMover methodsFor: 'as yet unclassified' stamp: '<JMZ 4/16/2002 09:50'!
knownfont
	
	^knownfont! !

!FontMover methodsFor: 'as yet unclassified' stamp: 'JMZ 7/25/2002 15:46'!
lireStrikeFont2Family: familyName 
	| fileNames strikeFonts fontArray file es |
	fileNames _ (FileDirectory default directoryNamed: directorypolice)
				fileNamesMatching: familyName , '##.sf2'.
	strikeFonts _ fileNames
				collect: [:fname | file _ (FileDirectory default directoryNamed: directorypolice) readOnlyFileNamed: fname.
file binary.
	es_StrikeFont new readFromStrike2Stream: file.
		file close.
es name: ( fname copyUpTo: $.).
].


	strikeFonts
		do: [:font | font reset].
	strikeFonts _ strikeFonts
				asSortedCollection: [:a :b | a height < b height].
	fontArray _ strikeFonts asArray.
	^ fontArray!
]style[(23 10 4 32 12 9 4 13 25 15 25 10 3 8 3 11 3 9 15 7 2 4 4 13 25 15 21 5 2 4 13 10 28 4 4 4 11 5 3 5 11 3 8 11 8 6 2 4 10 11 3 11 26 6 2 1 10 1 11 9 3 11 13 9)f3b,f3cblue;b,f3,f3cblue;i,f3,f3cblue;i,f3,f3cmagenta;,f3,f3cmagenta;,f3,f3cblue;i,f3,f3c199199123,f3,f3cblue;i,f3,f3cblue;i,f3,f3cred;,f3,f3cblue;i,f3,f3cmagenta;,f3,f3cmagenta;,f3,f3cblue;i,f3,f3cblue;i,f3,f3cmagenta;,f3,f3cblue;i,f3,f3cblue;i,f3,f3cmagenta;,f3,f3cblue;i,f3,f3c200200124,f3,f3cblue;i,f3,f3cred;,f3,f3cblue;i,f3,f3cblue;i,f3,f3cblue;i,f3,f3cred;,f3,f3cblue;i,f3,f3cblue;i,f3,f3cblue;i,f3,f3cblue;i,f3,f3cblue;i! !

!FontMover methodsFor: 'as yet unclassified' stamp: 'JMZ 4/15/2002 10:01'!
list
	^liste! !

!FontMover methodsFor: 'as yet unclassified' stamp: '<JMZ 4/22/2002 09:52'!
listDirIndex



	^dirindex! !

!FontMover methodsFor: 'as yet unclassified' stamp: 'JMZ 5/30/2002 09:21'!
listDirIndex: anInteger

| |

	anInteger = 0
		ifFalse: [(anInteger between: 1 and: knownfont size)
				ifTrue: [dirindex _ anInteger]
				ifFalse: [dirindex _ 1]].

	self changed: #listDirIndex.		"signal my acceptance of the change"! !

!FontMover methodsFor: 'as yet unclassified' stamp: 'JMZ 4/15/2002 09:40'!
listIndex



	^index! !

!FontMover methodsFor: 'as yet unclassified' stamp: 'JMZ 5/29/2002 22:58'!
listIndex: anInteger 
	"Debugger debug."
	| zz t1 |
	anInteger = 0
		ifFalse: [(anInteger between: 1 and: liste size)
				ifTrue: [index _ anInteger]
				ifFalse: [index _ 1]].
	affiche
		fontName: (liste at: index)
		size: 14.
	affiche contents: (liste at: index) asString , ' '.
	zz _ Utilities
				fontPointSizesFor: (liste at: index).
	t1 _ ''.
	1
		to: zz size
		do: [:i | t1 _ t1 , ' ' , (zz at: i) asString].
	taille
		string: t1
		fontName: 'NewYork'
		size: 12.
	self changed: #listIndex!
]style[(20 353 3 2 2 3 2 3 3 4 2 5 1 14 6 11 2 13 9 9 2 3 4 10 10)f3b,f3,f3cred;,f3,f3cblue;i,f3,f3cblue;i,f3,f3c196196120,f3,f3cblue;i,f3,f3cblue;i,f3,f3cmagenta;,f3,f3cblue;i,f3,f3c196196120,f3,f3c196196120,f3,f3cmagenta;,f3,f3c196196120! !

!FontMover methodsFor: 'as yet unclassified' stamp: 'JMZ 6/20/2002 09:31'!
listMenu: unmenu 
	"comment stating purpose of message"
	| differentMenu zz zz1 subMen subMenpolice |
	zz _ liste at: index.
	zz1 _ Utilities fontPointSizesFor: zz.
	subMen _ DumberMenuMorph new.
	1
		to: zz1 size
		do: [:i | subMen
				add: (zz1 at: i) asString
				target: self
				selector: #affichelapolice:
				argument: i].
	subMenpolice _ DumberMenuMorph new.
	self updateknownfontliste.
	1
		to: knownfont size
		do: [:i | subMenpolice
				add: (knownfont at: i) asString
				target: self
				selector: #uploadonepolice:
				argument: (knownfont at: i) asString].
	differentMenu _ DumberMenuMorph new.
	differentMenu addTitle: 'Image';
		 add: 'Display this font...' subMenu: subMen;
		
		add: 'Delete this font'
		target: self
		selector: #removefont;
		
		add: 'Delete all fonts but NewYork'
		target: self
		selector: #removeall;
		
		add: 'Save this font in ' , directorypolice asString
		target: self
		selector: #savepolice;
		
		add: 'Save all fonts in ' , directorypolice asString
		target: self
		selector: #saveall.
	"add: 'Upload ', directorypolice asString 
	target: self 
	selector: #uploadpolice; 
	 
	add: 'Upload sub ' 
	subMenu: subMenpolice; 
	 
	 
	 
	add: 'Upload all from ',directorypolice asString 
	target: self 
	selector: #loadallpolice; 
	
	"
	^ differentMenu! !

!FontMover methodsFor: 'as yet unclassified' stamp: '<JMZ 4/22/2002 09:51'!
listdir
	^dirlist! !

!FontMover methodsFor: 'as yet unclassified' stamp: 'JMZ 5/23/2002 23:20'!
loadallpolice
	"charge toutes les police et tous les tailles depuis le dossier directorypolice"
	|  |

Cursor read showWhile: [

"test knownfont at:1 = nothing "

FileDirectory default directoryNamed: directorypolice.
self updateknownfontliste.

1 to: knownfont size do: [:each |
((knownfont at: each) ='Nothing') ifFalse: [
	TextConstants definedNames  at: (knownfont at: each) asSymbol
				put: (TextStyle
						fontArray: (self lireStrikeFont2Family: (knownfont at: each) asString)). ].
].
			self update.].
		
! !

!FontMover methodsFor: 'as yet unclassified' stamp: '<JMZ 4/16/2002 23:15'!
newdirectorypolice
	"cre un nouveau dossier police vide dans le directory de l'image renvoie true 
	ou false si fait ou pas"
	| |
	FileDirectory setDefaultDirectoryFrom: Smalltalk imageName.
	(FileDirectory default directoryExists: directorypolice)
		ifTrue: [^ false]
		ifFalse: [ FileDirectory default createDirectory: directorypolice.


			^ true]! !

!FontMover methodsFor: 'as yet unclassified' stamp: '<JMZ 4/29/2002 16:24'!
openAViewOnMe
	| zz t1 zz1 zz2 zz3 zz4 |
	dirlistmorph _ PluggableListMorph
				on: self
				list: #knownfont
				selected: #listDirIndex
				changeSelected: #listDirIndex:
				menu: #dirmenu:.
	"dirlistmorph color: Color lightRed."
	listemorph _ PluggableListMorph
				on: self
				list: #list
				selected: #listIndex
				changeSelected: #listIndex:
				menu: #listMenu:.
	
	
	listemorph selectionIndex: 1.
	listemorph doubleClickSelector: #affichelapolice.

		fenetre _ SystemWindow labelled: 'Font Mover' .

	fenetre 		
		addMorph: listemorph
		frame: (Rectangle origin: 0 @ 0.2 corner: 0.5 @ 1).
	fenetre
		addMorph: dirlistmorph
		frame: (Rectangle origin: 0.5 @ 0.2 corner: 1 @ 1).


zz1_ColorForm
	extent: 16@16
	depth: 2
	fromArray: #(16384 20480 17408 16640 16448 89481232 67108868 67108865 67108868 67108884 89473104 22364480 148736 21504 20480 16384 )
	offset: 100@100.


zz2_ColorForm
	extent: 16@16
	depth: 2
	fromArray: #(0 262144 1310720 4456448 17039360 67458368 268435520 1073741888 276824128 335544384 84235584 21320960 5570560 1376256 327680 65536   )
	offset: 100@100.



zz3_ColorForm
	extent: 16@16
	depth: 2
	fromArray: #(0 4210688 38817792 4473856 4276480 4218944 4198416 4195332 4194561 4195332 4198416 4210752 4276480 4473856 5263360 4210688 )
	offset: 100@100.



zz4_ColorForm
	extent: 16@16
	depth: 2
	fromArray: #(0 65792 33883392 1118464 4276480 16843008 67371264 269484288 1077936384 269484288 67371264 16843008 4276480 1118464 328960 65792 )
	offset: 100@100.


	"plusdir_SimpleButtonMorph new "
plusdir_IconicButton new
target: self;
 borderColor: #raised; 
actWhen: #buttonUp;actionSelector: #savepolice;
 color:  (Color r: 0.93 g: 0.93 b: 0.93);
"label:'->';"
labelGraphic: zz1;
setBalloonText: 'move this font in the directory';
position: 115 @ 48.

	

plusimage_IconicButton new
"SimpleButtonMorph new" target: self;
 borderColor: #raised; 
actWhen: #buttonUp;
actionSelector: #uploadselectedpolice;
 color:    (Color r: 0.93 g: 0.93 b: 0.93);
"label:'<-';"
labelGraphic: zz2;
setBalloonText: 'move this font in image';
position: 140 @ 48.




toutplusdir_IconicButton new
target: self;
 borderColor: #raised; 
actWhen: #buttonUp;actionSelector: #saveall;
 color:  (Color r: 0.93 g: 0.93 b: 0.93);
 labelGraphic: zz3;
setBalloonText: 'move all fonts in the directory';
position: 90 @ 48.



	zz_ColorForm
	extent: 10@16
	depth: 2
	fromArray: #(0 0 0 0 1342259200 1409564672 353435648 88342528 22020096 72613888 286588928 1141194752 1342259200 0 0 0 )
	offset: 100@100.


toutplusimage_IconicButton new
target: self;
 borderColor: #raised; 
actWhen: #buttonUp;
actionSelector: #loadallpolice;
 color: (Color r: 0.93 g: 0.93 b: 0.93);
 labelGraphic: zz4;
setBalloonText: 'move all fonts in image';
position: 165 @ 48.



"xbutton_SimpleButtonMorph new target: self;"
xbutton_IconicButton new target:self;
 borderColor: #raised; 
actWhen: #buttonUp;
actionSelector: #removefont;
 color: (Color r: 0.93 g: 0.93 b: 0.93);
"label:' X ';"
 labelGraphic: zz;
setBalloonText: 'remove this font';
position: 60 @ 48.

imageaffiche_ TextMorph new extent: 60 @ 0;
				 color: Color blue;
				 position: 10 @ 50.

affiche _ TextMorph new extent: 60 @ 0;
				 color: Color black;
				 position: 150 @ 20.
	taille _ TextMorph new extent: 150 @ 0;
				 color: Color darkGray;
				 position: 10 @ 20.
	diraffiche _ TextMorph new extent: 170  @ 0 ;
				 color: Color blue;
				 position: 215 @ 50.
	"diraffiche borderWidth:1."

imageaffiche string:  'Image' fontName: 'NewYork'
		size: 14.
	affiche
		fontName: (liste at: index)
		size: 14.
	affiche contents: (liste at: index) asString , ' '.
	zz _ Utilities
				fontPointSizesFor: (liste at: index).
	t1 _ ''.
	1
		to: zz size
		do: [:i | t1 _ t1 , ' ' , (zz at: i) asString].
	taille
		string: t1
		fontName: 'NewYork'
		size: 12.

diraffiche 
string:directorypolice asString
fontName: 'NewYork' 
size: 12.
	
fenetre addMorph: imageaffiche.
	fenetre addMorph: diraffiche.
fenetre addMorph: plusdir.
fenetre addMorph: plusimage.
fenetre addMorph: toutplusdir.
fenetre addMorph: toutplusimage.
	fenetre addMorph: affiche.
	fenetre addMorph: taille.
fenetre addMorph: xbutton.

	fenetre
		setWindowColor: (Color
				r: 0.55
				g: 0.75
				b: 0.80).
	fenetre allowReframeHandles: false.
fenetre clipSubmorphs: true.
fenetre openInWorldExtent: 300@300.
	^ fenetre! !

!FontMover methodsFor: 'as yet unclassified' stamp: 'JMZ 5/23/2002 22:58'!
removeall
	"retire toutes les polices sauf NewYork"


1 to: liste size do: [:i| (liste at: i)  =#NewYork ifFalse:[
	TextConstants definedNames
		removeKey: (liste at: i).] ].
	self update.
index_1.! !

!FontMover methodsFor: 'as yet unclassified' stamp: 'JMZ 5/24/2002 10:17'!
removefont
	"remove the police "
	| nYIndex  zz t1 |
	nYIndex _ self list find: #NewYork.
	index = nYIndex
		ifFalse: [
TextConstants definedNames
				removeKey: (liste at: index).
		
			self update.
affiche fontName:(liste at: index) size: 14.
affiche contents: (liste at: index) asString , ' '.
			zz _ Utilities fontPointSizesFor: (liste at: index).
			t1 _ ''.
			1 to: zz size
				do: [:i | t1 _ t1 , ' ' , (zz at: i) asString].
		taille string: t1
				fontName: 'NewYork'
				size: 12.]

! !

!FontMover methodsFor: 'as yet unclassified' stamp: '<JMZ 4/16/2002 23:47'!
saveall
	"vrifie dossier polices existe est l sauve toutes les police et tous les  
	tailles"
	| zzp tt astyle |
	Cursor write
		showWhile: [FileDirectory setDefaultDirectoryFrom: Smalltalk imageName.
			(FileDirectory default directoryExists:directorypolice)
				ifFalse: ["on le cre"
					(self newdirectorypolice)
						ifFalse: [^self display: 'Ne peut pas trouver le dossier Police']].
		1 to: (liste size) do: [:pol |

			zzp _ Utilities
						fontPointSizesFor: (liste at: pol).
			1
				to: zzp size
				do: [:i | 
					"test 9 et pas 09"
					(zzp at: i) asString size == 1
						ifTrue: [tt _ '0' , (zzp at: i) asString]
						ifFalse: [tt _ (zzp at: i) asString].
					astyle _ TextStyle named: (liste at: pol) asString.
					
					(astyle fontArray at: i)
						writeAsStrike2On: ((FileDirectory default directoryNamed: directorypolice)
								fileNamed: (liste at: pol) asString , tt , '.sf2')]].
self updatedir.
]! !

!FontMover methodsFor: 'as yet unclassified' stamp: '<JMZ 4/16/2002 23:46'!
savepolice
	"vrifie dossier polices existe est l sauve la police et tous ses tailles"
	| zzp tt astyle |
	Cursor wait showWhile: [
	FileDirectory setDefaultDirectoryFrom: Smalltalk imageName.
	(FileDirectory default directoryExists: directorypolice)
		ifFalse: ["on le cre"
			(self newdirectorypolice)
				ifFalse: [^ self display: 'Ne peut pas trouver le dossier Polices']].
	zzp _ Utilities
				fontPointSizesFor: (liste at: index).
	1
		to: zzp size
		do: [:i | 
			"test 9 et pas 09"
			(zzp at: i) asString size == 1
				ifTrue: [tt _ '0' , (zzp at: i) asString]
				ifFalse: [tt _ (zzp at: i) asString].
			astyle _ TextStyle named: (liste at: index) asString.
			
			(astyle fontArray at: i)
				writeAsStrike2On: ((FileDirectory default directoryNamed: directorypolice)
						fileNamed: (liste at: index) asString , tt , '.sf2')].
self updatedir.
].! !

!FontMover methodsFor: 'as yet unclassified' stamp: '<JMZ 4/16/2002 23:20'!
selectdirectory
| prov |

prov _FillInTheBlankMorph request: 'What is the directory to select ?'.
prov='' ifTrue:[ ^ false].

"test exists "
FileDirectory setDefaultDirectoryFrom: Smalltalk imageName.
	(FileDirectory default directoryExists: prov)
		ifTrue: [directorypolice_ prov. self updatedir. ^ true]
		ifFalse: [(PopUpMenu confirm: 'Create New Directory ', prov)  ifFalse: [^ false] ifTrue:[ directorypolice_ prov.  self  newdirectorypolice. self updatedir.]. 
^false ].




! !

!FontMover methodsFor: 'as yet unclassified' stamp: '<JMZ 4/22/2002 22:49'!
selectdirectory2: aname
|  |

 directorypolice_ aname. 
 self  newdirectorypolice.
 self updatedir. 
diraffiche 
string:directorypolice asString
fontName: 'NewYork' 
size: 12.
^true 




! !

!FontMover methodsFor: 'as yet unclassified' stamp: '<JMZ 4/23/2002 11:47'!
update
	"update listmorph"
	"delete l'ancienne listemorph"
	listemorph delete.
	liste _ Utilities knownTextStyles
				asSortedCollection: [:a :b | a < b].
	listemorph _ PluggableListMorph
				on: self
				list: #list
				selected: #listIndex
				changeSelected: #listIndex:
				menu: #listMenu:.
	listemorph doubleClickSelector: #affichelapolice.
	listemorph color: Color lightBlue.
	index _ index - 1.
	index < 1
		ifTrue: [index _ 1].
	listemorph selectionIndex: index.
	fenetre
		addMorph: listemorph
		frame: (Rectangle origin: 0 @ 0.2 corner: 0.5 @ 1)! !

!FontMover methodsFor: 'as yet unclassified' stamp: '<JMZ 4/23/2002 11:45'!
updatedir
	knownfont_OrderedCollection new.
	self updateknownfontliste.
	dirlistmorph delete.		
dirlistmorph_ PluggableListMorph 
		on: self 		
				list: #knownfont
				selected: #listDirIndex
				changeSelected: #listDirIndex:
		menu: #dirmenu:.	

	
fenetre
		addMorph: dirlistmorph
		frame: (Rectangle origin: 0.5 @ 0.2 corner: 1 @ 1).

diraffiche contents:  directorypolice asString .! !

!FontMover methodsFor: 'as yet unclassified' stamp: '<JMZ 4/17/2002 22:43'!
updatedirliste

| |
FileDirectory setDefaultDirectoryFrom: Smalltalk imageName.	

dirlist_FileDirectory default directoryNames.
! !

!FontMover methodsFor: 'as yet unclassified' stamp: '<JMZ 4/16/2002 22:53'!
updateknownfontliste


| laliste listedisplay |
FileDirectory setDefaultDirectoryFrom: Smalltalk imageName.
	FileDirectory default directoryNamed: directorypolice.
	
laliste_(FileDirectory default directoryNamed: directorypolice)  fileNamesMatching: '*.sf2'.
laliste=#() ifFalse:[ 
listedisplay_OrderedCollection new.
 1 to: laliste size do:[:each |  listedisplay add: (laliste at: each) withoutTrailingDigits.].

	1 to: listedisplay size do:[:each | self isknownfont: (listedisplay at:each )].
]
ifTrue:[ knownfont_OrderedCollection new. knownfont add: 'Nothing'].! !

!FontMover methodsFor: 'as yet unclassified' stamp: 'JMZ 5/23/2002 22:58'!
uploadonepolice: aname
		|  inDex |
	TextConstants definedNames
				at: aname asSymbol
				put: (TextStyle
						fontArray: (self lireStrikeFont2Family: aname)).
		self update.
1 to:  liste size do: [:ind | ( ( liste at: ind)=aname asSymbol) ifTrue:[inDex_ind.]].

self listIndex: inDex.
	! !

!FontMover methodsFor: 'as yet unclassified' stamp: 'JMZ 5/23/2002 22:58'!
uploadpolice
	"charge une police et tous ses tailles depuis le dossier Police"
	| zz inDex |
	
	FileDirectory setDefaultDirectoryFrom: Smalltalk imageName.
	FileDirectory default directoryNamed: directorypolice.
	zz _ StandardFileMenu
				oldFileFrom: (FileDirectory default directoryNamed: directorypolice).
	zz
		ifNotNil: [zz _ zz name withoutTrailingDigits.

			TextConstants definedNames
				at: zz asSymbol
				put: (TextStyle
						fontArray: (self lireStrikeFont2Family: zz)).

self update.
		1 to:  liste size do: [:ind | ( ( liste at: ind)=zz asSymbol) ifTrue:[inDex_ind.  ]].

self listIndex: inDex.

	
			]! !

!FontMover methodsFor: 'as yet unclassified' stamp: 'JMZ 5/23/2002 22:55'!
uploadselectedpolice
		| inDex |
	TextConstants definedNames
				at: (knownfont at: dirindex) asSymbol
				put: (TextStyle
						fontArray: (self lireStrikeFont2Family: (knownfont at: dirindex))).

self update.

			1 to:  liste size do: [:ind | ( ( liste at: ind)=(knownfont at: dirindex) asSymbol) ifTrue:[inDex_ind .  ]].

  self listIndex: inDex .

! !

"-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- "!

FontMover class
	instanceVariableNames: ''!

!FontMover class methodsFor: 'as yet unclassified' stamp: '<JMZ 4/23/2002 13:15'!
open
	"for call: FontMover open"
	| apolice |
	apolice _ FontMover new.
	apolice initialize openAViewOnMe.
	^ apolice! !
