'From Squeak3.5 of ''11 April 2003'' [latest update: #5180] on 23 May 2003 at 3:26:19 pm'!
"Change Set:		KCP-0086-InternalKCPRefactoring
Date:			23 May 2003
Author:			stephane and roel

KCP fixes
"!


!AnalyzerTest methodsFor: 'running' stamp: 'sd 5/23/2003 14:51'!
tearDown

	| name |
	classesCreated
		do: [:cls | 
			name _ cls name.
			self removeClassNamedIfExists: name.
			ChangeSet current removeClassChanges: name].
	classesCreated _ nil! !


!CleanKernelTest methodsFor: 'Running' stamp: 'sd 5/23/2003 14:52'!
tearDown

	| name |
	self classesCreated
		do: [:cls | 
			name _ cls name.
			self removeClassNamedIfExists: name.
			ChangeSet current removeClassChanges: name].
	classesCreated _ nil! !

!CleanKernelTest methodsFor: 'classBuilder' stamp: 'sd 5/23/2003 14:52'!
testValidateSubclassFormatFix
	"Recompiling Array"
	self
		shouldnt: [ArrayedCollection
				variableSubclass: #Array
				instanceVariableNames: ''
				classVariableNames: ''
				poolDictionaries: ''
				category: 'Collections-Arrayed']
		raise: Error.
	ChangeSet current removeClassChanges: #Array! !


!StewardsTools methodsFor: 'categorization' stamp: 'sd 5/23/2003 14:52'!
categorizeAllMethods: selectorsCollection in: aClass 
	"Categorize methods by looking in parent classes for a method  
	category."
	| organization organizations |
	organization _ aClass organization.
	organizations _ aClass allSuperclasses
				collect: [:each | each organization].
	""
	selectorsCollection
		do: [:selector | 
			| originalCategory posibleCategories foundCategory | 
			originalCategory _ organization categoryOfElement: selector.
			""
			posibleCategories _ organizations
						collect: [:each | each categoryOfElement: selector].
			posibleCategories _ posibleCategories
						reject: [:each | each isNil].
			""
			foundCategory _ posibleCategories
						detect: [:each | each ~= ClassOrganizer default]
						ifNone: [].
			""
			(foundCategory notNil
					and: [foundCategory ~= originalCategory])
				ifTrue: [| str | 
					""
					str _ aClass name , '>>' , selector , ' --> from:''' , originalCategory , ''' to:''' , foundCategory , ''''.
					Transcript show: str;
						 cr.
					organization classify: selector under: foundCategory.
					ChangeSet current reorganizeClass: aClass]].
	! !

!StewardsTools methodsFor: 'morphs tools' stamp: 'sd 5/23/2003 14:52'!
alphabetizeMessageCategoriesInMorphs
	self allMorphClasses
		do: [:each | 
			each organization sortCategories.
			each class organization sortCategories.

			ChangeSet current reorganizeClass: each.
			ChangeSet current reorganizeClass: each class]! !

