'From Squeak3.5 of ''11 April 2003'' [latest update: #5180] on 29 April 2003 at 9:26:57 pm'!
"Change Set:		KCP-0051-tmvAlltoSystNavigation
Date:			29 April 2003
Author:			stephane ducasse

test of the move of the methods all* from SystemDictionary to SystemNavigation"!


!CleanKernelTest methodsFor: 'query' stamp: 'sd 4/29/2003 13:15'!
testAllCallsOn
	"self run: #testAllCallsOn"
	self class forgetDoIts.
	self assert: (SystemNavigation new allCallsOn: #zoulouSymbol) size = 7.
	self assert: (SystemNavigation new allCallsOn: #callingAnotherMethod) size = 2! !

!CleanKernelTest methodsFor: 'query' stamp: 'sd 4/29/2003 13:17'!
testAllCallsOnAnd
	"self run: #testAllCallsOnAnd"
	self class forgetDoIts.
	self assert: (SystemNavigation new allCallsOn: #zoulouSymbol and: #callingAThirdMethod) size = 2.
	self assert: (SystemNavigation new allCallsOn: #callingAThirdMethod and: #inform:) size = 1! !

!CleanKernelTest methodsFor: 'query' stamp: 'sd 4/29/2003 20:43'!
testAllMethodsSelect
	"self run: #testAllMethodsSelect"
	| res |
	res _ SystemNavigation new
				allMethodsSelect: [:each | each messages includes: #zoulouSymbol].
	self assert: res size = 1.
	self assert: (res at: 1) methodSymbol = #callingAThirdMethod! !

!CleanKernelTest methodsFor: 'query' stamp: 'sd 4/18/2003 10:44'!
testIsThereAnImplementorOf
	"self run: #testIsThereAnImplementorOf"

	self deny: (SystemNavigation new isThereAnImplementorOf: #nobodyImplementsThis) .
	self assert: (SystemNavigation new isThereAnImplementorOf: #zoulouSymbol).! !

!CleanKernelTest methodsFor: 'query' stamp: 'sd 4/18/2003 10:41'!
testNumberOfImplementors
	"self run: #testNumberOfImplementors"

	self assert: (SystemNavigation new numberOfImplementorsOf: #nobodyImplementsThis) isZero.
	self assert: (SystemNavigation new numberOfImplementorsOf: #zoulouSymbol) = 2.! !

!CleanKernelTest methodsFor: 'query' stamp: 'sd 4/17/2003 21:06'!
testRemoveAllBehaviorsDo
	
	self
		assert: (self 
					isSelector: #allBehaviorsDo:   deprecatedInClass: #SystemDictionary).
! !

!CleanKernelTest methodsFor: 'query' stamp: 'sd 4/17/2003 21:20'!
testRemoveAllClassesImplementing
	
	self
		assert: (self 
					isSelector: #allClassesImplementing:  deprecatedInClass: #SystemDictionary).
! !

!CleanKernelTest methodsFor: 'query' stamp: 'sd 4/18/2003 10:05'!
testRemoveAllGlobalRefs
	
	self
		assert: (self 
					isSelector: #allGlobalRefs  deprecatedInClass: #SystemDictionary).
! !

!CleanKernelTest methodsFor: 'query' stamp: 'sd 4/29/2003 13:24'!
testRemoveAllGlobalRefsWithout
	
	self
		assert: (self 
					isSelector: #allGlobalRefsWithout:  deprecatedInClass: #SystemDictionary).
! !

!CleanKernelTest methodsFor: 'query' stamp: 'sd 4/29/2003 13:25'!
testRemoveAllImplementedMessages
	
	self
		assert: (self 
					isSelector: #allImplementedMessages  deprecatedInClass: #SystemDictionary).
! !

!CleanKernelTest methodsFor: 'query' stamp: 'sd 4/29/2003 13:31'!
testRemoveAllImplementedMessagesWithout
	
	self
		assert: (self 
					isSelector: #allImplementedMessagesWithout:  deprecatedInClass: #SystemDictionary).
! !

!CleanKernelTest methodsFor: 'query' stamp: 'sd 4/20/2003 10:26'!
testRemoveAllImplementorsOf
	
	self
		assert: (self 
					isSelector: #allImplementorsOf:   deprecatedInClass: #SystemDictionary).
! !

!CleanKernelTest methodsFor: 'query' stamp: 'sd 4/20/2003 14:16'!
testRemoveAllImplementorsOfLocalTo
	
	self
		assert: (self 
					isSelector: #allImplementorsOf:localTo:   deprecatedInClass: #SystemDictionary).
! !

!CleanKernelTest methodsFor: 'query' stamp: 'sd 4/20/2003 10:27'!
testRemoveAllMethodsInCategory
	self
		assert: (self isSelector: #allMethodsInCategory: deprecatedInClass: #SystemDictionary)! !

!CleanKernelTest methodsFor: 'query' stamp: 'sd 4/20/2003 14:12'!
testRemoveAllMethodsWithSourceStringMatchCase
	
	self
		assert: (self 
					isSelector: #allMethodsWithSourceString:matchCase:   deprecatedInClass: #SystemDictionary).
! !

!CleanKernelTest methodsFor: 'query' stamp: 'sd 4/29/2003 20:56'!
testRemoveAllObjectsDo
	
	self
		assert: (self 
					isSelector: #allObjectsDo:  deprecatedInClass: #SystemDictionary).
! !

!CleanKernelTest methodsFor: 'query' stamp: 'sd 4/29/2003 20:55'!
testRemoveAllObjectsSelect
	
	self
		assert: (self 
					isSelector: #allObjectsSelect:  deprecatedInClass: #SystemDictionary).
! !

!CleanKernelTest methodsFor: 'query' stamp: 'sd 4/20/2003 14:22'!
testRemoveAllPrimitiveMessages
	
	self
		assert: (self 
					isSelector: #allPrimitiveMessages   deprecatedInClass: #SystemDictionary).
! !

!CleanKernelTest methodsFor: 'query' stamp: 'sd 4/20/2003 14:21'!
testRemoveAllPrimitiveMethodsInCategories
	
	self
		assert: (self 
					isSelector: #allPrimitiveMethodsInCategories:   deprecatedInClass: #SystemDictionary).
! !

!CleanKernelTest methodsFor: 'query' stamp: 'sd 4/23/2003 22:29'!
testRemoveAllSelect
	
	self
		assert: (self 
					isSelector: #allSelect:   deprecatedInClass: #SystemDictionary).
! !

!CleanKernelTest methodsFor: 'query' stamp: 'sd 4/29/2003 15:10'!
testRemoveAllSelectNoDoits
	
	self
		assert: (self 
					isSelector: #allSelectNoDoits:  deprecatedInClass: #SystemDictionary).
! !

!CleanKernelTest methodsFor: 'query' stamp: 'sd 4/29/2003 20:15'!
testRemoveAllSentMessages
	
	self
		assert: (self 
					isSelector: #allSentMessages  deprecatedInClass: #SystemDictionary).
! !

!CleanKernelTest methodsFor: 'query' stamp: 'sd 4/29/2003 19:11'!
testRemoveAllSentMessagesWithout
	
	self
		assert: (self 
					isSelector: #allSentMessagesWithout:  deprecatedInClass: #SystemDictionary).
! !

!CleanKernelTest methodsFor: 'query' stamp: 'sd 4/29/2003 20:18'!
testRemoveAllUnSentMessages
	
	self
		assert: (self 
					isSelector: #allUnSentMessages  deprecatedInClass: #SystemDictionary).
! !

!CleanKernelTest methodsFor: 'query' stamp: 'sd 4/29/2003 19:20'!
testRemoveAllUnSentMessagesWithout
	
	self
		assert: (self 
					isSelector: #allUnSentMessagesWithout:  deprecatedInClass: #SystemDictionary).
! !

!CleanKernelTest methodsFor: 'query' stamp: 'sd 4/29/2003 19:02'!
testRemoveAllUnimplementedCalls
	
	self
		assert: (self 
					isSelector: #allUnimplementedCalls  deprecatedInClass: #SystemDictionary).
! !

!CleanKernelTest methodsFor: 'query' stamp: 'sd 4/29/2003 13:11'!
testRemoveAllUnreferencedClassVariables
	
	self
		assert: (self 
					isSelector: #allUnreferencedClassVariables  deprecatedInClass: #ClassDescription).
! !

!CleanKernelTest methodsFor: 'query' stamp: 'sd 4/29/2003 19:06'!
testRemoveAllUnusedClassesWithout
	
	self
		assert: (self 
					isSelector: #allUnusedClassesWithout:  deprecatedInClass: #SystemDictionary).
! !

!CleanKernelTest methodsFor: 'query' stamp: 'sd 4/29/2003 12:10'!
testRemoveClassThatUnderstands
	self
		assert: (self isSelector: #classThatUnderstands: deprecatedInClass: #Behavior).
	self assert: (SystemNavigation new allCallsOn: #classThatUnderstands:) size = 2
	"2 because one for this method and one for the noteDangerous method of 
	the method finder"! !

!CleanKernelTest methodsFor: 'query' stamp: 'sd 4/20/2003 14:29'!
testRemoveSelectorsWithAnyImplementorsIn
	
	self
		assert: (self 
					isSelector: #selectorsWithAnyImplementorsIn:   deprecatedInClass: #SystemDictionary).
! !

!CleanKernelTest methodsFor: 'query' stamp: 'sd 4/29/2003 13:13'!
testRemoveallCallsOn
	self
		assert: (self isSelector: #allCallsOn: deprecatedInClass: #SystemDictionary)! !

!CleanKernelTest methodsFor: 'query' stamp: 'sd 4/17/2003 21:14'!
testRemoveallCallsOnAnd
	
	self
		assert: (self 
					isSelector: #allCallsOn:and:  deprecatedInClass: #SystemDictionary).
! !

!CleanKernelTest methodsFor: 'query' stamp: 'sd 4/29/2003 20:23'!
testRemoveallUnSentMessagesIn
	
	self
		assert: (self 
					isSelector: #allUnSentMessagesIn:  deprecatedInClass: #SystemDictionary).
! !

