'From Squeak3.5 of ''11 April 2003'' [latest update: #5180] on 13 May 2003 at 4:27:48 pm'!
"Change Set:		KCP-0079-tfixDeprecationSystem
Date:			13 May 2003
Author:			Roel Wuyts

Updated the tests to test for the new deprecation mechanism introduced in changeset KCP-0078-fixDeprecationMechanism"!


!CleanKernelTest methodsFor: 'behavior' stamp: 'rw 5/13/2003 16:16'!
testRemoveDefaultSelectorForMethod
	"self run: #testRemoveDefaultSelectorForMethod"
	"self debug: #testRemoveDefaultSelectorForMethod"

	self
		assert: (self isSelector: #defaultSelectorForMethod: deprecatedInClass: #Behavior)! !

!CleanKernelTest methodsFor: 'utility' stamp: 'rw 5/13/2003 16:19'!
isSelector: aSymbol deprecatedInClass: aClassSymbol 

	| cls |
	cls _ Smalltalk
				at: aClassSymbol
				ifAbsent: [^ false].
	^ (cls >> aSymbol) literals includesAllOf: #(deprecatedExplanation:)! !

!CleanKernelTest methodsFor: 'query' stamp: 'rw 5/13/2003 16:22'!
testRemoveClassThatUnderstands
	self
		assert: (self isSelector: #classThatUnderstands: deprecatedInClass: #Behavior).
	self assert: (SystemNavigation new allCallsOn: #classThatUnderstands:) size = 3
	"3 because one for this method, one for the noteDangerous method of 
	the method finder, and one for the deprecated method on Behavior."! !

!CleanKernelTest methodsFor: 'image reader class' stamp: 'rw 5/13/2003 16:16'!
testRemoveImageReader
	"self run: #testRemoveImageReader"
	self
		assert: (self isSelector: #imageReaderClass deprecatedInClass: #SystemDictionary).
	self
		assert: (self isSelector: #gifReaderClass deprecatedInClass: #SystemDictionary).
	self
		assert: (self isSelector: #jpegReaderClass deprecatedInClass: #SystemDictionary)!
]style[(10 47 2 4 12 4 13 17 20 17 4 4 12 4 13 15 20 17 4 4 12 4 13 16 20 17 1)f1b,f1c194194118b,f1,f1cmagenta;,f1,f1cmagenta;,f1,f1c194194118,f1,f1c194194118,f1,f1cmagenta;,f1,f1cmagenta;,f1,f1c194194118,f1,f1c194194118,f1,f1cmagenta;,f1,f1cmagenta;,f1,f1c194194118,f1,f1c194194118,f1! !

CleanKernelTest removeSelector: #newIsSelector:deprecatedInClass:!
