'From Squeak3.6beta of ''4 July 2003'' [latest update: #5395] on 23 August 2003 at 12:48:45 pm'!
"Change Set:		KCP-0101-ReintroduceSomeDeprecatedClassMethods
Date:			23 August 2003
Author:			Stef and Daniel

reintroduce nicely the methods #allCallsOn:,
#allUnsentMessages, and #allUnreferencedClassVariables in ClassDescription. 

Note that the following methods are not reintroduced as they are dealing with UI stuff.
#browseAllAccessTo:
#browseAllCallsOn:
#browseAllStoresInto:
"!


!Behavior methodsFor: '*system-support' stamp: 'dvf 8/23/2003 12:43'!
allCallsOn: aSymbol
	"Answer a SortedCollection of all the methods that call on aSymbol."


	^ self  systemNavigation allCallsOn: aSymbol from: self .
	! !

!Behavior methodsFor: '*system-support' stamp: 'dvf 8/23/2003 12:43'!
allUnsentMessages
	"Answer an array of all the messages defined by the receiver that are not sent anywhere in the system."

	^ self environment allUnSentMessagesIn: self selectors! !


!ClassDescription methodsFor: '*system-support' stamp: 'dvf 8/23/2003 12:45'!
allUnreferencedClassVariables
	"Answer a list of the names of all the receiver's unreferenced class vars, including those defined in superclasses"

	^ self systemNavigation allUnreferencedClassVariablesOf: self! !

